IFAPI_GetEsysBlob Struct Reference

`#include <fapi_int.h>`

## Data Fields

uint8_t | type
uint8_t * | data
size_t | length
bool | is_key
bool | is_persistent_key
ESYS_TR | new_object_handle
TPM2_HANDLE | permanentHandle
IFAPI_OBJECT | auth_object
ESYS_TR | auth_index
char * | path
IFAPI_OBJECT | object
IFAPI_OBJECT * | key_object

## Detailed Description

The data structure holding internal state of esys get blob.

## Field Documentation

## auth_index

ESYS_TR auth_index

The ESAPI handle of the nv authorization object

## auth_object

IFAPI_OBJECT auth_object

Object used for authentication

## data

uint8_t* data

data of the blob to be returned

## is_key

bool is_key

Object is a key

## is_persistent_key

bool is_persistent_key

Object is a persistent key

## key_object

IFAPI_OBJECT* key_object

Loaded key object

## length

size_t length

The size of the data to be returned

## object

IFAPI_OBJECT object

Deserialized object

## path

char* path

The path of the object

## permanentHandle

TPM2_HANDLE permanentHandle

The TPM permanent handle

## type

uint8_t type

type of blob to be returned

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h